Loading...
Searching...
No Matches
gpiod::request_released Class Referencefinal

Exception thrown when an already released line request is used. More...

`#include <exception.hpp>`

Inheritance diagram for gpiod::request_released:
[legend]
Collaboration diagram for gpiod::request_released:
[legend]

## Public Member Functions

| request_released (const ::std::string &what)
| Constructor.
| request_released (const request_released &other) noexcept
| Copy constructor.
| request_released (request_released &&other) noexcept
| Move constructor.
request_released & | operator= (const request_released &other) noexcept
| Assignment operator.
request_released & | operator= (request_released &&other) noexcept
| Move assignment operator.
| ~request_released ()

## Detailed Description

Exception thrown when an already released line request is used.

## Constructor & Destructor Documentation

## request_released() [1/3]

gpiod::request_released::request_released | ( | const ::std::string & | what | ) |

explicit

Constructor.

Parameters

  what | Human readable reason for error.

## request_released() [2/3]

gpiod::request_released::request_released | ( | const request_released & | other | ) |

noexcept

Copy constructor.

Parameters

  other | Object to copy from.

## request_released() [3/3]

gpiod::request_released::request_released | ( | request_released && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~request_released()

gpiod::request_released::~request_released | ( |  | ) |

## Member Function Documentation

## operator=() [1/2]

request_released & gpiod::request_released::operator= | ( | const request_released & | other | ) |

noexcept

Assignment operator.

Parameters

  other | Object to copy from.

Returns
  Reference to self.

## operator=() [2/2]

request_released & gpiod::request_released::operator= | ( | request_released && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- exception.hpp